Puppet
Send message
Sends a message in a thread masquerading as the specified agent
POST
/
api
/
v1
/
puppet
/
{namespace}
/
{sessionId}
/
{agentName}
/
thread
/
message
Send message
curl --request POST \
--url https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "<string>",
"content": "<string>",
"mentions": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/message"
payload = {
"threadId": "<string>",
"content": "<string>",
"mentions": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({threadId: '<string>', content: '<string>', mentions: ['<string>']})
};
fetch('https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread/message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": {
"id": "<string>",
"threadId": "<string>",
"text": "<string>",
"senderName": "<string>",
"mentionNames": [
"<string>"
],
"timestamp": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The session's namespace
The session's ID
The agent's name
Body
application/json
Message input
⌘I
Send message
